Bug 493962 - samba needs patch to make it so that POSIX opens work correctly
samba needs patch to make it so that POSIX opens work correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.8
All Linux
high Severity high
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On: 493728 740832 743467
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 09:44 EDT by Jeff Layton
Modified: 2014-06-18 03:38 EDT (History)
16 users (show)

See Also:
Fixed In Version: samba-3.0.33-0.25.el4
Doc Type: Bug Fix
Doc Text:
A Samba server had no way of knowing that an operation performed by the kernel CIFS client was in fact a file creation. As a result, the "force create mode" (which sets permissions of a file during its creation) was never initiated and appeared to be broken. The file creation was handled by a POSIX open call and to Samba the file creation then appeared as a simple 'chmod' operation. By using the POSIX open call in the samba client, the server can now properly recognize the file creation and apply the "force create mode". Note: This issue was fixed on the server part of Red Hat Enterprise Linux 4, however, this issue remains broken on the client part. Therefore, the "force create mode" works properly on Red Hat Enterprise Linux 4 systems with newer clients (for example, Red Hat Enterprise Linux 5).
Story Points: ---
Clone Of: 493728
Environment:
Last Closed: 2011-02-16 09:22:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 16 Martin Prpič 2011-02-16 08:21:22 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A Samba server had no way of knowing that an operation performed by the kernel CIFS client was in fact a file creation. As a result, the "force create mode" (which sets permissions of a file during its creation) was never initiated and appeared to be broken. The file creation was handled by a POSIX open call and to Samba the file creation then appeared as a simple 'chmod' operation. By using the POSIX open call in the samba client, the server can now properly recognize the file creation and apply the "force create mode". Note: This issue was fixed on the server part of Red Hat Enterprise Linux 4, however, this issue remains broken on the client part. Therefore, the "force create mode" works properly on Red Hat Enterprise Linux 4 systems with newer clients (for example, Red Hat Enterprise Linux 5).
Comment 17 errata-xmlrpc 2011-02-16 09:22:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0242.html

Note You need to log in before you can comment on or make changes to this bug.